Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1.cms
Class EncryptedContentInfoParser

    java.lang.Object
      org.bouncycastle.sasn1.cms.EncryptedContentInfoParser

Deprecated. use corresponding class in org.bouncycastle.asn1.cms

    public class EncryptedContentInfoParser

extends java.lang.Object

     EncryptedContentInfo ::= SEQUENCE {
         contentType ContentType,
         contentEncryptionAlgorithm ContentEncryptionAlgorithmIdentifier,
         encryptedContent [0] IMPLICIT EncryptedContent OPTIONAL
     }

Constructor Summary
`EncryptedContentInfoParser(Asn1Sequence seq)` Deprecated.

Method Summary
`org.bouncycastle.asn1.x509.AlgorithmIdentifier` `getContentEncryptionAlgorithm()` Deprecated.
`Asn1ObjectIdentifier` `getContentType()` Deprecated.
`Asn1Object` `getEncryptedContent(int tag)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedContentInfoParser

    public EncryptedContentInfoParser(Asn1Sequence seq)
                               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Method Detail

### getContentType

    public Asn1ObjectIdentifier getContentType()

  Deprecated.

### getContentEncryptionAlgorithm

    public org.bouncycastle.asn1.x509.AlgorithmIdentifier getContentEncryptionAlgorithm()

  Deprecated.

### getEncryptedContent

    public Asn1Object getEncryptedContent(int tag)
                                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45